﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="msxsl">
  <xsl:output indent="yes" method="xml" encoding="utf-8" cdata-section-elements="uri" />

  <xsl:template match="/">
    <sessions>
      <xsl:for-each select="sessions/session">
        <session>
          <code>
            <xsl:value-of select="code" />
          </code>
          <speaker>
            <xsl:value-of select="speaker"/>
          </speaker>
          <description>
            <xsl:for-each select="resources">
              <xsl:if test="@ContentType = 'Web'">
                <xsl:value-of select="child::node()[1]"/>
              </xsl:if>
            </xsl:for-each>
          </description>
          <resources>
            <xsl:for-each select="resources">
              <resource>
                <xsl:element name="uri">
                  <xsl:value-of select="@uri" />
                </xsl:element>
                <xsl:element name="content_type">
                  <xsl:value-of select="@ContentType"/>
                </xsl:element>
              </resource>
            </xsl:for-each>
          </resources>
        </session>
      </xsl:for-each>
    </sessions>
  </xsl:template>

</xsl:stylesheet>
